Loading...
Searching...
No Matches
Optional functionality
Application API

API for determining functionality optionally compiled into libcoap. More...

Collaboration diagram for Optional functionality:

## Functions

int | coap_af_unix_is_supported (void)
| Check whether socket type AF_UNIX is available.
int | coap_async_is_supported (void)
| Check whether ASYNC (separate responses) is available.
int | coap_client_is_supported (void)
| Check whether Client code is available.
int | coap_dtls_is_supported (void)
| Check whether DTLS is available.
int | coap_dtls_cid_is_supported (void)
| Check whether (D)TLS CID is available.
int | coap_dtls_psk_is_supported (void)
| Check whether (D)TLS PSK is available.
int | coap_dtls_pki_is_supported (void)
| Check whether (D)TLS PKI is available.
int | coap_dtls_pkcs11_is_supported (void)
| Check whether (D)TLS PKCS11 is available.
int | coap_dtls_rpk_is_supported (void)
| Check whether (D)TLS RPK is available.
int | coap_epoll_is_supported (void)
| Determine whether epoll is supported or not.
int | coap_ipv4_is_supported (void)
| Check whether IPv4 is available.
int | coap_ipv6_is_supported (void)
| Check whether IPv6 is available.
int | coap_observe_persist_is_supported (void)
| Check whether Observe Persist is available.
int | coap_oscore_is_supported (void)
| Check whether OSCORE is available.
int | coap_proxy_is_supported (void)
| Check whether Proxy code is available.
int | coap_q_block_is_supported (void)
| Check whether Q-BlockX is available.
int | coap_server_is_supported (void)
| Check whether Server code is available.
int | coap_tcp_is_supported (void)
| Check whether TCP is available.
int | coap_threadsafe_is_supported (void)
| Determine whether libcoap is threadsafe or not.
int | coap_tls_is_supported (void)
| Check whether TLS is available.
int | coap_ws_is_supported (void)
| Check whether WebSockets is available.
int | coap_wss_is_supported (void)
| Check whether Secure WebSockets is available.

## Detailed Description

API for determining functionality optionally compiled into libcoap.

## Function Documentation

## coap_af_unix_is_supported()

int coap_af_unix_is_supported | ( | void |  | ) |

Check whether socket type AF_UNIX is available.

Returns
  `1` if support for AF_UNIX is available, or `0` otherwise.

Definition at line 621 of file coap_net.c.

## coap_async_is_supported()

int coap_async_is_supported | ( | void |  | ) |

Check whether ASYNC (separate responses) is available.

Returns
  `1` if support for ASYNC is available, or `0` otherwise.

Definition at line 231 of file coap_async.c.

## coap_client_is_supported()

int coap_client_is_supported | ( | void |  | ) |

Check whether Client code is available.

Returns
  `1` if support for Client is available, or `0` otherwise.

Definition at line 603 of file coap_net.c.

## coap_dtls_cid_is_supported()

int coap_dtls_cid_is_supported | ( | void |  | ) |

Check whether (D)TLS CID is available.

Returns
  `1` if support for (D)TLS CID is available, or `0` otherwise.

Definition at line 86 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_is_supported()

int coap_dtls_is_supported | ( | void |  | ) |

Check whether DTLS is available.

Returns
  `1` if support for DTLS is available, or `0` otherwise.

Definition at line 36 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_pkcs11_is_supported()

int coap_dtls_pkcs11_is_supported | ( | void |  | ) |

Check whether (D)TLS PKCS11 is available.

Returns
  `1` if support for (D)TLS PKCS11 is available, or `0` otherwise.

Definition at line 68 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_pki_is_supported()

int coap_dtls_pki_is_supported | ( | void |  | ) |

Check whether (D)TLS PKI is available.

Returns
  `1` if support for (D)TLS PKI is available, or `0` otherwise.

Definition at line 59 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_psk_is_supported()

int coap_dtls_psk_is_supported | ( | void |  | ) |

Check whether (D)TLS PSK is available.

Returns
  `1` if support for (D)TLS PSK is available, or `0` otherwise.

Definition at line 50 of file coap_notls.c.

Here is the caller graph for this function:

## coap_dtls_rpk_is_supported()

int coap_dtls_rpk_is_supported | ( | void |  | ) |

Check whether (D)TLS RPK is available.

Returns
  `1` if support for (D)TLS RPK is available, or `0` otherwise.

Definition at line 77 of file coap_notls.c.

Here is the caller graph for this function:

## coap_epoll_is_supported()

int coap_epoll_is_supported | ( | void |  | ) |

Determine whether epoll is supported or not.

Returns
  `1` if libcoap is compiled with epoll support, `0` if not.

Definition at line 567 of file coap_net.c.

## coap_ipv4_is_supported()

int coap_ipv4_is_supported | ( | void |  | ) |

Check whether IPv4 is available.

Returns
  `1` if support for IPv4 is available, or `0` otherwise.

Definition at line 585 of file coap_net.c.

## coap_ipv6_is_supported()

int coap_ipv6_is_supported | ( | void |  | ) |

Check whether IPv6 is available.

Returns
  `1` if support for IPv6 is available, or `0` otherwise.

Definition at line 594 of file coap_net.c.

## coap_observe_persist_is_supported()

int coap_observe_persist_is_supported | ( | void |  | ) |

Check whether Observe Persist is available.

Returns
  `1` if support for Observe Persist is available, or `0` otherwise.

Definition at line 24 of file coap_subscribe.c.

## coap_oscore_is_supported()

int coap_oscore_is_supported | ( | void |  | ) |

Check whether OSCORE is available.

Returns
  `1` if support for OSCORE is enabled, or `0` otherwise.

Definition at line 2184 of file coap_oscore.c.

Here is the caller graph for this function:

## coap_proxy_is_supported()

int coap_proxy_is_supported | ( | void |  | ) |

Check whether Proxy code is available.

Returns
  `1` if support for Proxy code is enabled, or `0` otherwise.

Definition at line 874 of file coap_proxy.c.

## coap_q_block_is_supported()

int coap_q_block_is_supported | ( | void |  | ) |

Check whether Q-BlockX is available.

Returns
  `1` if support for Q-BLockX is available, or `0` otherwise.

Definition at line 29 of file coap_block.c.

## coap_server_is_supported()

int coap_server_is_supported | ( | void |  | ) |

Check whether Server code is available.

Returns
  `1` if support for Server is available, or `0` otherwise.

Definition at line 612 of file coap_net.c.

## coap_tcp_is_supported()

int coap_tcp_is_supported | ( | void |  | ) |

Check whether TCP is available.

Returns
  `1` if support for TCP is enabled, or `0` otherwise.

Definition at line 20 of file coap_tcp.c.

Here is the caller graph for this function:

## coap_threadsafe_is_supported()

int coap_threadsafe_is_supported | ( | void |  | ) |

Determine whether libcoap is threadsafe or not.

Returns
  `1` if libcoap is compiled with threadsafe support, `0` if not.

Definition at line 576 of file coap_net.c.

## coap_tls_is_supported()

int coap_tls_is_supported | ( | void |  | ) |

Check whether TLS is available.

Returns
  `1` if support for TLS is available, or `0` otherwise.

Definition at line 41 of file coap_notls.c.

Here is the caller graph for this function:

## coap_ws_is_supported()

int coap_ws_is_supported | ( | void |  | ) |

Check whether WebSockets is available.

Returns
  `1` if support for WebSockets is available, or `0` otherwise.

Definition at line 933 of file coap_ws.c.

Here is the caller graph for this function:

## coap_wss_is_supported()

int coap_wss_is_supported | ( | void |  | ) |

Check whether Secure WebSockets is available.

Returns
  `1` if support for Secure WebSockets is available, or `0` otherwise.

Definition at line 938 of file coap_ws.c.

Here is the caller graph for this function: